fuzzylite(1)

NAME
fuzzylite - a fuzzy logic control library

SYNOPSIS
fuzzylite [-i inputfile] [-if format] [-o outputfile] [-of format] [-example letter] [-decimals number] [-d datafile] [-dmaximum number] [-dheader boolean] [-dinputs boolean]

OPTIONS

-i inputfile
    file to import your engine from

-if format
    format of the file to import (fll | fis | fcl)

-o outputfile
    file to export your engine to

-of format
    format of the file to export (fll | fld | cpp | java | fis | fcl)

-example letter
    if not inputfile, built-in example to use as engine: (m)amdani or (t)akagi-sugeno

-decimals number
    number of decimals to write floating-poing values

-d datafile
    if exporting to fld, file of input values to evaluate your engine on

-dmaximum number
    if exporting to fld without datafile, maximum number of results to export

-dheader boolean
    if true and exporting to fld, include headers

-dinputs boolean
    if true and exporting to fld, include input values

AUTHOR
Juan Rada-Vilela